package cn.hmsoft.hmplatform.wxtoken.data.model;
import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 回传token信息
* @author: zxq
* @date: 2020-05-02 17:42:02
* @version: 2.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "P_WX_TOKEN_NOTICE", keyColumn =  "LOG_ID" , sequenceName = "LOG_ID")
public class PWxTokenNotice implements Serializable{
	private static final long serialVersionUID = -8579037364189622935L;
	private Integer log_id;
	private Integer token_id;
	//通知token时间
	private LocalDateTime notice_time;
	//通知token地址
	private String notice_addr;
	//是否成功
	private String notice_status;
	//App默认Token
	private String app_accesstokenkey;
	//app实时的access_token
	private String app_accesstoken;
	//token超时时间
	private LocalDateTime app_token_expired;

	public Integer getLog_id() {
		return this.log_id;
	}

	public void setLog_id(Integer log_id) {
		this.log_id = log_id;
	}

	public Integer getToken_id() {
		return this.token_id;
	}

	public void setToken_id(Integer token_id) {
		this.token_id = token_id;
	}

	/****
	 * 通知token时间
	 */
	public LocalDateTime getNotice_time() {
		return this.notice_time;
	}

	/****
	 * 通知token时间
	 */
	public void setNotice_time(LocalDateTime notice_time) {
		this.notice_time = notice_time;
	}

	/****
	 * 通知token地址
	 */
	public String getNotice_addr() {
		return this.notice_addr;
	}

	/****
	 * 通知token地址
	 */
	public void setNotice_addr(String notice_addr) {
		this.notice_addr = notice_addr;
	}

	/****
	 * 是否成功
	 */
	public String getNotice_status() {
		return this.notice_status;
	}

	/****
	 * 是否成功
	 */
	public void setNotice_status(String notice_status) {
		this.notice_status = notice_status;
	}

	/****
	 * App默认Token
	 */
	public String getApp_accesstokenkey() {
		return this.app_accesstokenkey;
	}

	/****
	 * App默认Token
	 */
	public void setApp_accesstokenkey(String app_accesstokenkey) {
		this.app_accesstokenkey = app_accesstokenkey;
	}

	/****
	 * app实时的access_token
	 */
	public String getApp_accesstoken() {
		return this.app_accesstoken;
	}

	/****
	 * app实时的access_token
	 */
	public void setApp_accesstoken(String app_accesstoken) {
		this.app_accesstoken = app_accesstoken;
	}

	/****
	 * token超时时间
	 */
	public LocalDateTime getApp_token_expired() {
		return this.app_token_expired;
	}

	/****
	 * token超时时间
	 */
	public void setApp_token_expired(LocalDateTime app_token_expired) {
		this.app_token_expired = app_token_expired;
	}

}